Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningEntityPropertyPlanningValueRangeDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
          org.drools.planner.core.domain.variable.PlanningEntityPropertyPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class PlanningEntityPropertyPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
`variableDescriptor`

Constructor Summary
`PlanningEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, ValueRangeFromPlanningEntityProperty valueRangeFromPlanningEntityPropertyAnnotation)`

Method Summary
`Collection<?>` | `extractValues(SolutionDirector solutionDirector, Object planningEntity)`

Methods inherited from class org.drools.planner.core.domain.variable.AbstractPlanningValueRangeDescriptor
`isValuesCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningEntityPropertyPlanningValueRangeDescriptor

    public PlanningEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                              ValueRangeFromPlanningEntityProperty valueRangeFromPlanningEntityPropertyAnnotation)

Method Detail

### extractValues

    public Collection<?> extractValues(SolutionDirector solutionDirector,
                                       Object planningEntity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.